# Move by the signed link while the policy still makes that free

`POST /public/bookings/link/reschedule` · Rivier · bookings

Move by the signed link while the policy still makes that free.

- Scope: bookings:read
- Graphql: Mutation.reschedulePublicBooking
- Sdk: bookings.public.reschedule
- Cli: bookings public reschedule
- Events: bookings.booking.rescheduled
- Publishable: yes

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "start": {
      "type": "string",
      "format": "date-time"
    },
    "resourceIds": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "maxItems": 20
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "reason": {
      "type": "string",
      "maxLength": 300,
      "default": ""
    },
    "token": {
      "type": "string",
      "minLength": 10,
      "maxLength": 4000
    }
  },
  "required": [
    "start",
    "idempotencyKey",
    "token"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/public/bookings/link/reschedule' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "start": "2026-01-01T00:00:00Z",
  "idempotencyKey": "string",
  "token": "string"
}'
```
